org.eclipse.jface.text

## Interface IWidgetTokenOwner

All Known Implementing Classes:
  ProjectionViewer, SourceViewer, TextConsoleViewer, TextViewer

    public interface IWidgetTokenOwner

In order to display information in a temporary window, a widget token must be acquired. The intent behind this concept is that only one temporary window should be presented at any moment in time and also to avoid overlapping temporary windows. This concept is used by the `ITextViewer`.

In order to provide backward compatibility for clients of `IWidgetTokenOwner`, extension interfaces are used as a means of evolution. The following extension interfaces exist:

- `IWidgetTokenOwnerExtension` since version 3.0 introducing priorities when requesting a widget token and thus replacing the non-prioritized scheme.

Since:
  2.0
See Also:
  `IWidgetTokenOwnerExtension`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `releaseWidgetToken(IWidgetTokenKeeper tokenKeeper)` The given token keeper releases the token to this token owner.
`boolean` `requestWidgetToken(IWidgetTokenKeeper requester)` Requests the widget token from this token owner.

### Method Detail

#### requestWidgetToken

    boolean requestWidgetToken(IWidgetTokenKeeper requester)

Requests the widget token from this token owner. Returns `true` if the token has been acquired or is already owned by the requester. This method is non-blocking.

Replaced by `IWidgetTokenOwnerExtension.requestWidgetToken(IWidgetTokenKeeper, int)`.

Parameters:
  `requester` - the token requester
Returns:
  `true` if requester acquires the token, `false` otherwise

#### releaseWidgetToken

    void releaseWidgetToken(IWidgetTokenKeeper tokenKeeper)

The given token keeper releases the token to this token owner. If the token has previously not been held by the given token keeper, nothing happens. This method is non-blocking.

Parameters:
  `tokenKeeper` - the token keeper